#ifndef AHISTLINEEDIT_H
#define AHISTLINEEDIT_H

#include <klineedit.h>
#include <qstringlist.h>

class aHistLineEdit : public KLineEdit
{
	Q_OBJECT
	public:
		aHistLineEdit(QWidget *parent = 0, const char *name = 0);
		void resetCompletion();
	signals:
		void gotFocus();
		void lostFocus();
		void pasteText(const QString&);
		void notTab();
		void fillCompletion(const QString &, QStringList &);
	protected:
		void processKeyEvent( QKeyEvent * );
		virtual void keyPressEvent ( QKeyEvent * ) {}
		virtual void focusInEvent ( QFocusEvent * );
		virtual void focusOutEvent ( QFocusEvent * );
		//virtual void mousePressEvent ( QMouseEvent * );
		virtual bool eventFilter( QObject *o, QEvent *e );
	private:
		QStringList hist;
		QStringList::Iterator current;
		void ColourPickerPopUp();
	private:
		bool history_explore;
		int completion_explore;
		int lastCurPos;
		int lastCompLen;
		QStringList completionStrings;
		void handleTab();
		QString findCompletion(const QString & str);
public slots:
	void textColorChanged();
	void bgColorChanged();
};

#endif
