/*
 * $Id: appearance.ui.h,v 1.4 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 Julien Perrot <blackmore@no-log.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/

void AppearanceSettings::init()
{
    labels[0] = "Hilight icon";
    labels[1] = "Talk icon";
    labels[2] = "Join/Part icon";
    labels[3] = "Default icon";
    labels[4] = "Default server icon";

    icons[0] = KwircSettings::hilightIcon();
    icons[1] = KwircSettings::talkIcon();
    icons[2] = KwircSettings::walkIcon();
    icons[3] = KwircSettings::defaultIcon();
    icons[4] = KwircSettings::defaultServerIcon();

    for (int i=0; i<5; i++) {
	iconSelector->insertItem(SmallIcon(icons[i]),
				 labels[i], i);
    }
}

void AppearanceSettings::resetTextColor()
{
	kcfg_textColor->setColor(KGlobalSettings::textColor());
}

void AppearanceSettings::resetBgColor()
{
	kcfg_bgColor->setColor(KGlobalSettings::baseColor());
}

void AppearanceSettings::changeIconButtonPushedSlot()
{
    int currentPos = iconSelector->currentItem();
    QString label = labels[currentPos];
    QString newIcon = KIconDialog::getIcon(KIcon::Desktop, KIcon::Application, false, 0, false,
					   (QWidget *) this, QString("Choose %1").arg(label).latin1());
    if (newIcon != QString::null) {
	icons[currentPos] = newIcon;
	iconSelector->changeItem(SmallIcon(newIcon), label, currentPos);
	emit changed(true);
    }
}

void AppearanceSettings::save()
{
    KwircSettings::setHilightIcon(icons[0]);
    KwircSettings::setTalkIcon(icons[1]);
    KwircSettings::setWalkIcon(icons[2]);
    KwircSettings::setDefaultIcon(icons[3]);
    KwircSettings::setDefaultServerIcon(icons[4]);
}
