/*
 * $Id: channeltab.cpp,v 1.13 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */

#include "channeltab.h"
#include "kwircpreferences.h"
#include "nicklistview.h"
#include "channelview.h"
#include "channel.h"
#include "kwirctab.h"
#include "topicview.h"

ChannelTab::ChannelTab(Channel *se, const QString& text, ServerTab * tab,
	const KShortcut& cut)
	 :KwircTab(se, text, KwircPreferences::getNotIcon(NOT_RESET), cut)
{
	serverTab = tab;
}

ChannelTab::~ChannelTab()
{
}

ServerTab *ChannelTab::getServerTab()
{
	return serverTab;
}

void ChannelTab::deletedServerElem()
{
	NicklistView *nlv = (NicklistView *)getAuxView();
	ChannelView *cv = (ChannelView *)getMainView();
	nlv->clear();
	cv->getTopicView()->clear();

	KwircTab::deletedServerElem();
}
