/*
 * $Id: destination.cpp,v 1.7 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#include "server.h"
#include "destination.h"
#include "rubyscriptmanager.h"
#include "destination.h"

Destination::Destination(Server *ser, const QString &name, elem_type type)
	: ServerElem(name, type)
{
	server = ser;
}

void Destination::sendPrivmsg(const QString &str)
{
	server->sendPrivmsg(getStringId(), str);
	emit log(LOG_YOUPRIVMSG, getStringId(),
			server->getYourNick()->getName(), str);
}

void Destination::sendAction(const QString &str)
{
	server->sendAction(getStringId(), str);
	emit log(LOG_YOUACT, getStringId(), server->getYourNick()->getName(),
			str);
}

Server *Destination::getServer()
{
	return server;
}

void Destination::input(const QString &str)
{
	if(str.startsWith("/") && !str.startsWith("//")) {
		ServerElem::input(str);
	} else {
		QString s = str;
		if (s.startsWith("//"))
			s.remove(1,1);
#ifdef FEAT_RUBY
		s = RubyScriptManager::notifyYouSay(this, s);
#endif
		getServer()->sendPrivmsg(getStringId(), s);
		emit log(LOG_YOUPRIVMSG, getStringId(),
				getServer()->getYourNick()->getName(), s);
	}
}

void Destination::toBeDeleted()
{
	// FIXME assert number of chan == 0

	emit preDelete();
}
