/*
 * $Id: destination.h,v 1.6 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar, Julien Perrot
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#ifndef DESTINATION_H
#define DESTINATION_H

#include <qstring.h>
#include <qobject.h>

#include "serverelem.h"
class ServerElem;
class Server;

class Destination : public ServerElem
{
	Q_OBJECT
	private:
		Server *server;
	public:
		Destination(Server *, const QString &, elem_type);
		void sendPrivmsg(const QString &str);
		void sendAction(const QString &str);
		virtual Server *getServer();
		virtual void input(const QString &str);
		void toBeDeleted();
	signals:
		void preDelete();
};

#endif
