/*
 * $Id: kwirctab.h,v 1.16 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#ifndef KWIRCTAB_H
#define KWIRCTAB_H

#include <kaction.h>
#include <qobject.h>
#include <qwidget.h>

class KwircTabView;
class KwircText;
class ServerTab;
class ServerElem;
class Server;

class KwircTab : public KRadioAction  {
	Q_OBJECT
	private:
		static const QString KWIRC_TAB_GROUP;
		static KActionCollection *parent;
		static QObject *collectionParent;
		static KActionCollection *getParent();

		KwircTabView *mainView;
		QWidget *auxView;
		ServerElem *serverElem;
		Server *serverElemServer;
		void toDisplay(QString &str);
	protected:
		unsigned int currentLevel;
		KwircTab(ServerElem *se, const QString& text,
				const QString& pix,
				const KShortcut& cut = KShortcut());
	public:
		enum {
			NOT_RESET,
			NOT_RESET_SERV,
			NOT_WALK,
			NOT_TALK,
			NOT_HL
		};
		virtual	~KwircTab();
		void setKwircText();
		void setMainView(KwircTabView *);
		void setAuxView(QWidget *);
		KwircTabView *getMainView();
		QWidget *getAuxView();
		void lowerViews();
		void raiseViews();
		bool hasAuxView();
		static void setCollectionParent(QObject*);

		virtual ServerTab *getServerTab() = 0;
		ServerElem *getServerElem();
		void setServerElem(ServerElem *se);
		Server *getServerElemServer();
		public slots:
			void emitOnTop();
		virtual void setNotificationIcon(unsigned int);
		virtual void setResetIcon();
		virtual void close();
signals:
		void onTop(KwircTab *);
		void tabPreClose();
		void tabClose();
	public slots:
		virtual void deletedServerElem();
};

#endif
