/*
 * $Id: kwirctheme.h,v 1.16 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 Julien Perrot
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#ifndef KWIRCTHEME_H
#define KWIRCTHEME_H

#include <kconfig.h>
#include <qobject.h>
#include <qstringlist.h>

#define NB_STRINGS 29
#define NB_THEME_COLORS 15
#define NB_NICK_COLORS 12

class KwircTheme
{
private:
	static const char * defaultFormat[NB_STRINGS][2];
	static QString color(const QString&, const QString &);

	QString m_fileName;
	QString m_timestampFormat;

	QMap<QString,QString> m_formatStringMap;
	QMap<QString,QString> m_computedStringMap;
	QMap<QString,QColor> m_themeColors;
	QValueList<QColor> m_nickColors;

	QString computeString(const QString &str);
	void updateComputedStrings();

public:
	KwircTheme(const QString& fileName);
	KwircTheme(KConfig *config);
	QString getColoredNick(const QString &);
	void setFormatString(const QString &key, const QString &formatString);
	void setColor(const QString &key, const QColor &);
	const QString &getFormatString(const QString &);
	const QString &getComputedString(const QString &);
	void setTimestampFormat( const QString & );
	const QString &getTimestampFormat();
	void loadTheme(const QString &);
	void loadTheme(KConfig *config);
	void refresh();
};

#endif
