/*
 * $Id: main.cpp,v 1.10 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#include <qcstring.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kconfig.h>

#include "kwirc.h"

static const char *description =
	I18N_NOOP("Kwirc\n"
			"Kwirc is vodkaware. If you enjoyed this product,\n"
			"send its authors one (or more) bottle(s) of vodka\n"
			"(other alcoholic beverages are welcomed).");


static KCmdLineOptions options[] =
{
	{"noautoconnect", I18N_NOOP( "Disable auto-connect to servers" ), 0 },
	KCmdLineLastOption // End of options.
};

int main(int argc, char *argv[])
{
	KAboutData aboutData( "kwirc", I18N_NOOP("Kwirc"),
			VERSION, description, KAboutData::License_GPL,
			"(c) 2003, nohar");
	aboutData.addAuthor("nohar",I18N_NOOP("Sexy maintainer & developper"),
			"");
	aboutData.addAuthor("Blackmore",I18N_NOOP("Sexy developper"), "");
	aboutData.addAuthor("Lafouine",I18N_NOOP("Sexy developper"), "");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options );

	KApplication a;

	Kwirc *kwirc = new Kwirc();
	a.setMainWidget(kwirc);
	kwirc->show();

	return a.exec();
}
