/*
 * $Id: nicklistview.h,v 1.6 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#ifndef NICKLIST_H
#define NICKLIST_H

#include <klistbox.h>
#include <qptrlist.h>
#include <kpopupmenu.h>
#include "nickpopupmenu.h"

class Nick;

class NicklistView : public KListBox
{
	Q_OBJECT
private:
	QStringList nicksAsString;
	QListBoxItem *m_pPopupItem;
	NickPopupMenu *nickPopup;
public:
	NicklistView(QWidget *parent, const char *name = 0);
	~NicklistView();
	const QStringList &getCompletionList();
	void setNickPopup(NickPopupMenu *popup);
	NickPopupMenu *getNickPopup();
public slots:
	void setChannelUsers(const QPtrList<Nick> &ops,
			const QPtrList<Nick> &voiced,
			const QPtrList<Nick> &all);

	void popUp(QListBoxItem *, const QPoint &pos);
	void slotQueryClick(QListBoxItem *, const QPoint &pos);
	void textColorChanged();
	void bgColorChanged();
signals:
	void completionListChange(const QStringList &);
	void triggerQuery(const QString &);
};

#endif
