/*
 * $Id: nickpopupmenu.h,v 1.4 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#ifndef NICKPOPUPMENU_H
#define NICKPOPUPMENU_H

#include <kpopupmenu.h>

class NickPopupMenu : public KPopupMenu
{
	Q_OBJECT
private:
	QStringList nicks;
	KPopupMenu *ctcpMenu;
	KPopupMenu *modeMenu;

public:
	NickPopupMenu(QWidget *parent = 0, const char *name = 0);
	~NickPopupMenu();
	void clearNicks();
	void addNick(const QString &s);
	KPopupMenu *duplicate();

public slots:
	void slotQuery();
	void slotWhois();
	void slotOp();
	void slotDeop();
	void slotVoice();
	void slotDevoice();
	void slotCtcpPing();
	void slotCtcpVersion();

signals:
	void whois(const QString &);
	void ctcp(const QString &nick, const QString &arg);
	void op(const QString &nick);
	void deop(const QString &nick);
	void voice(const QString &);
	void devoice(const QString &);
	void triggerQuery(const QString &);
};

#endif
