/*
 * $Id: serverelem.cpp,v 1.14 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#include <qstringlist.h>
#include "serverelem.h"
#include "config.h"
#include "command.h"

ServerElem::ServerElem(const QString &name, elem_type t)
{
	setStringId(name);
	setName(name.latin1());
	type = t;
}

ServerElem::~ServerElem()
{
}

ServerElem::elem_type ServerElem::getType()
{
	return type;
}

const QString &ServerElem::getStringId()
{
	return stringId;
}

void ServerElem::setStringId(const QString &str)
{
	stringId = str;
	emit stringIdChange(stringId);
}

#ifdef FEAT_RUBY
VALUE ServerElem::getRubyInstance()
{
	return rubyInstance;
}

void ServerElem::setRubyInstance(VALUE v)
{
	rubyInstance = v;
}
#endif

bool ServerElem::isDestination()
{
	return type == TYPE_CHANNEL || type == TYPE_NICK;
}

QStringList ServerElem::complete(const QString &str)
{
	return Command::computeCompletionStrings(this, str);
}

void ServerElem::input(const QString &str)
{
	Command::userCommand(this, str);
}

void ServerElem::clear()
{
	emit clearLog();
}
