/*
 * $Id: servertab.h,v 1.13 2004/03/07 15:16:07 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#ifndef SERVERTAB_H
#define SERVERTAB_H

#include <kaction.h>
#include <qptrlist.h>
#include "kwirctab.h"
class QueryTab;
class ChannelTab;

/**
  *@author nohar
  */

class ServerTab : public KwircTab
{
	Q_OBJECT
	private:
		QPtrList<ChannelTab> channels;
		QPtrList<QueryTab> queries;
	public:
		ServerTab(Server *, const QString& text,
				const KShortcut& cut = KShortcut());
		virtual	~ServerTab();
		void addQueryTab(QueryTab *);
		void addChannelTab(ChannelTab *);
		ChannelTab *channelTab(const QString &channame);
		QueryTab *queryTab(const QString &name);
		void removeQueryTab(QueryTab*);
		void removeChannelTab(ChannelTab*);
		const QPtrList<ChannelTab> &getChannelTabs();
		const QPtrList<QueryTab> &getQueryTabs();
		KwircTab *precTab(KwircTab *);
		KwircTab *nextTab(KwircTab *);
		KwircTab *lastTab();
		virtual ServerTab *getServerTab();
	public slots:
		virtual void setResetIcon();
		virtual void close();
};

#endif
