/*
 * $Id: topicview.h,v 1.8 2004/03/09 14:47:27 blackmor Exp $
 *
 * This file is part of the kwirc project
 * Copyright (C) 2003 nohar
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */
#ifndef TOPICVIEW_H
#define TOPICVIEW_H

#include <ktextedit.h>
#include <ktextbrowser.h>

class TopicView : public KTextBrowser
{
	Q_OBJECT
	private:
		QString topic;
		QWidget *grabWidget;
		void autoSize();
	public:
		TopicView(QWidget *parent = 0, char *name = 0);
		~TopicView();
	protected:
		virtual void resizeEvent(QResizeEvent *);
		virtual bool eventFilter(QObject *obj, QEvent *e);
	public slots:
		void setTopic(const QString &);
		void setEditableMode(bool enable);
		void textColorChanged();
		void bgColorChanged();
	signals:
		void topicChanged(const QString &);
};

#endif
